Summary: The Java Accessibility API
Name: jaccess
Version: 0.5
Release: 1
Copyright: see LICENSE.txt
Group: Libraries
URL: http://www.javasoft.com/products/jfc/
Packager: Levente Farkas <lfarkas@ohsh.u-szeged.hu>
Vendor: Levente Farkas <lfarkas@ohsh.u-szeged.hu>
Source0: ftp://ftp.javasoft.com/pub/jfc/jaccess-%{PACKAGE_VERSION}.tar.gz
Source1: jaccess.sh
Source2: jaccess.csh
#Prefix: /usr

%description
The Java Accessibility API. This is the beta version.

%package doc
Summary: Documentation for the JAccess
Group: Documentation

%description doc
Documentation for the JAccess

%package examples
Summary: Examples for the JAccess
Group: Documentation

%description examples
Examples for the JAccess

%prep

%setup
cp $RPM_SOURCE_DIR/jaccess.sh .
cp $RPM_SOURCE_DIR/jaccess.csh .

%build
chown -R root:root *

%install
mkdir -p /usr/lib/jaccess/
cp jaccess.jar src.zip /usr/lib/jaccess/
cp -ar examples /usr/lib/jaccess/
install -m755 jaccess.sh /etc/profile.d/
install -m755 jaccess.csh /etc/profile.d/

%files
%doc CHANGES.txt NOTES.txt README.txt LICENSE.txt
%config /etc/profile.d/jaccess.sh
%config /etc/profile.d/jaccess.csh
/usr/lib/jaccess/jaccess.jar
/usr/lib/jaccess/src.zip

%files doc
%doc doc/*

%files examples
/usr/lib/jaccess/examples
